> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smsmanager.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read sent messages



## OpenAPI

````yaml /openapi/en/rest/restapi_v1.yaml get /messages
openapi: 3.1.0
info:
  title: REST API SmsManager
  description: |
    API for managing accounts and other resources of SmsManager.
  version: v1
  contact:
    url: https://smsmanager.com
    email: cc@smsmanager.com
servers:
  - url: https://rest-api.smsmngr.com/v1
    description: Production server
security:
  - x-api-key: []
tags:
  - name: api
    x-displayName: API keys
    description: |
      For managing API keys use the following endpoints.
  - name: status
    x-displayName: Status
    description: |
      For reading status of sent messages use the following endpoints.
  - name: inbox
    x-displayName: Inbox
    description: |
      For reading inbox messages use the following endpoints.
  - name: credit
    x-displayName: Credit
    description: |
      For reading credit balance or pricelist info use the following endpoints.
paths:
  /messages:
    get:
      tags:
        - status
      summary: Read sent messages
      parameters:
        - name: date
          in: query
          required: true
          description: Date in format YYYY-MM-DD
          schema:
            type: string
            format: date
            example: '2025-01-01'
      responses:
        '200':
          description: Information about the message
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Success status.
                    example: true
                  messages:
                    type: array
                    description: Array of messages.
                    items:
                      type: object
                      properties:
                        message_id:
                          type: string
                          description: Message ID.
                        message_parts:
                          type: number
                          description: Number of message parts.
                        ts_sent:
                          type: integer
                          description: Timestamp of the message sending.
                        ts_delivered:
                          type: integer
                          description: Timestamp of the message delivery.
                        sent:
                          type: integer
                          description: Number of sent messages.
                        delivered:
                          type: integer
                          description: Number of delivered messages.
                        nondelivered:
                          type: integer
                          description: Number of non-delivered messages.
                        body:
                          type: string
                          description: Message body.
                        sender:
                          type: string
                          description: Sender.
                        to:
                          type: string
                          description: Recipient.
                        flow:
                          type: string
                          description: Flow definiton. Usually "whatsapp" or "sms" etc.
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Success status.
                    example: false
                  message:
                    type: string
                    description: Error message.
                    example: Failed to whatsapp registration
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````